/*-----------------------------------------------------------------------------
hit_strucs.h

Shyam Prabhakar Oct 17 2003

Definitions of new data types (structs) for hits in sequences.
-----------------------------------------------------------------------------*/

#ifndef HIT_STRUCS
#define HIT_STRUCS

/* all coordinates are zero-based! */
typedef struct
{

  int start;      /* index of start of hit in alignment */
  int len;

  int *seq_starts;  /* start of hit in each sequence (sequence coords.) */
  int *seq_ends;    /* end   of hit in each sequence (sequence coords.) */

  int scor;
  double pval;

} HIT1D;

#endif
