/*-----------------------------------------------------------------------------
scor_strucs.h

Shyam Prabhakar Aug 21 2003

Definitions of new data types (structs) for multiple alignment scoores.
-----------------------------------------------------------------------------*/

#ifndef SCOR_STRUCS
#define SCOR_STRUCS

typedef struct
{

  int len;       /* length of alignment */
  int *scor;     /* score vector */

  int lbound;    /* lower bound on scores */
  int ubound;    /* upper bound */

} ALIGN_SCOR;

#endif
