/*-----------------------------------------------------------------------------
tree_strucs.h

Shyam Prabhakar Aug 04 2003

Definitions of new data types (structs) for phylogenetic trees.
-----------------------------------------------------------------------------*/

#ifndef TREE_STRUCS
#define TREE_STRUCS

typedef struct bin_tree_struc
{

  char *name;

  struct bin_tree_struc *parent;
  struct bin_tree_struc *lchild;
  struct bin_tree_struc *rchild;

} BIN_TREE;  /* binary tree */

typedef struct
{

  int nleaf;       /* no. of leaves       */
  char **leaves;   /* array of leaf names */
  BIN_TREE *tree;  /* tree                */

} PHYLO_TREE;  /* phylogenetic tree */

#endif
